## org.Biocorba.Seqcore
Interface AnonymousSeq

All Known Subinterfaces:
  PrimarySeq, Seq

All Known Implementing Classes:
  _AnonymousSeqImplBase, _AnonymousSeqStub

public interface AnonymousSeq
extends org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity, Unknown

Method Summary
`java.lang.String` `get_seq()`
`java.lang.String` `get_subseq(int start, int end)`
`int` `length()`
`int` `max_request_length()`
`SeqType` `type()`

Methods inherited from interface GNOME.Unknown
`query_interface, ref, unref`

Method Detail

### type

    public SeqType type()

### length

    public int length()

### get_seq

    public java.lang.String get_seq()
                             throws RequestTooLarge

### get_subseq

    public java.lang.String get_subseq(int start,
                                       int end)
                                throws OutOfRange,
                                       RequestTooLarge

### max_request_length

    public int max_request_length()